#include <iostream>
using namespace std;
int main()
{
    int n,i=0;
    cin>>n;
    int r[n],c[n];
    if(r[n-1]==r[n-2])
        i++;
    else if(c[n-1]==c[n-2])
        i++;
    cout<<i;
    return 0;
}